Skip to main content
GET
List notes

Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Path Parameters

companyId
integer
required

Commenda company id.

Query Parameters

limit
integer
default:20

Max records to return.

Required range: x <= 100
next
string

Cursor for the next page (from a previous response).

prev
string

Cursor for the previous page.

include_deleted_records
boolean

Include soft-deleted records.

return_count
boolean

Include the total match count in the response.

owner_id[eq]
string

Exact match on owner_id.

owner_id[in]
string

Comma-separated owner_id values (OR match).

owner_id[is_null]
boolean

true: only records where owner_id is null; false: only records where it is not null. Cannot be combined with other owner_id filters.

owner_id[not_null]
boolean

true: only records where owner_id is not null; false: only records where it is null. Cannot be combined with other owner_id filters.

account_id[eq]
string

Exact match on account_id.

account_id[in]
string

Comma-separated account_id values (OR match).

account_id[is_null]
boolean

true: only records where account_id is null; false: only records where it is not null. Cannot be combined with other account_id filters.

account_id[not_null]
boolean

true: only records where account_id is not null; false: only records where it is null. Cannot be combined with other account_id filters.

contact_id[eq]
string

Exact match on contact_id.

contact_id[in]
string

Comma-separated contact_id values (OR match).

contact_id[is_null]
boolean

true: only records where contact_id is null; false: only records where it is not null. Cannot be combined with other contact_id filters.

contact_id[not_null]
boolean

true: only records where contact_id is not null; false: only records where it is null. Cannot be combined with other contact_id filters.

opportunity_id[eq]
string

Exact match on opportunity_id.

opportunity_id[in]
string

Comma-separated opportunity_id values (OR match).

opportunity_id[is_null]
boolean

true: only records where opportunity_id is null; false: only records where it is not null. Cannot be combined with other opportunity_id filters.

opportunity_id[not_null]
boolean

true: only records where opportunity_id is not null; false: only records where it is null. Cannot be combined with other opportunity_id filters.

lead_id[eq]
string

Exact match on lead_id.

lead_id[in]
string

Comma-separated lead_id values (OR match).

lead_id[is_null]
boolean

true: only records where lead_id is null; false: only records where it is not null. Cannot be combined with other lead_id filters.

lead_id[not_null]
boolean

true: only records where lead_id is not null; false: only records where it is null. Cannot be combined with other lead_id filters.

rootfi_updated_at[eq]
string

Exact match on rootfi_updated_at.

rootfi_updated_at[in]
string

Comma-separated rootfi_updated_at values (OR match).

rootfi_updated_at[gte]
string

rootfi_updated_at greater-than-or-equal.

rootfi_updated_at[lte]
string

rootfi_updated_at less-than-or-equal.

Response

200 - application/json

A paginated list of notes.

data
object[]
required
pagination
object
required
request_id
string
required